package de.fhdw.wtf.common.exception.referencer;

import de.fhdw.wtf.common.exception.walker.TaskException;

public final class WrongStateException extends TaskException {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = -8548913047074382357L;
	
	/**
	 * Constructor of {@link WrongStateException}.
	 * 
	 * @param reference
	 *            reference
	 */
	private WrongStateException(final String reference) {
		super(de.fhdw.wtf.common.constants.referencer.ExceptionConstans.WRONG_STATE_EXCEPTION_MESSAGE + reference);
	}
	
	/**
	 * Creates a {@link WrongStateException}-Object.
	 * 
	 * @param reference
	 *            reference
	 * @return The {@link WrongStateException}-Object.
	 */
	public static WrongStateException create(final String reference) {
		return new WrongStateException(reference);
	}
	
}
